[sagemath] 01/01: Re-enable docbuild for now, we need it to build the docs...
Ximin Luo
infinity0 at debian.org
Mon Dec 12 03:05:49 UTC 2016
This is an automated email from the git hooks/post-receive script.
infinity0 pushed a commit to branch master
in repository sagemath.
commit e7bc93d93b42353b83df68868ae4bee9a80f6d66
Author: Ximin Luo <infinity0 at debian.org>
Date: Mon Dec 12 04:05:24 2016 +0100
Re-enable docbuild for now, we need it to build the docs...
---
debian/patches/d1-sage-cli.patch | 42 ++++++++++------------
debian/patches/d1-scripts-dir.patch | 6 ++--
.../dt-version-singular-4-extra-fixes.patch | 2 +-
3 files changed, 22 insertions(+), 28 deletions(-)
diff --git a/debian/patches/d1-sage-cli.patch b/debian/patches/d1-sage-cli.patch
index 3e2dfb1..707170a 100644
--- a/debian/patches/d1-sage-cli.patch
+++ b/debian/patches/d1-sage-cli.patch
@@ -133,18 +133,17 @@ Forwarded: not-needed
echo " --initial - only show the first failure per block"
echo " --debug - drop into PDB after an unexpected error"
echo " --failed - only test files that failed last test"
-@@ -190,10 +132,6 @@
+@@ -190,9 +132,6 @@
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
echo "Documentation:"
- echo " -coverage <files> -- give info about doctest coverage of files"
- echo " -coverageall -- give summary info about doctest coverage of all"
- echo " files in the Sage library"
-- echo " -docbuild [lang/]<document> <html|pdf|...> -- Build the Sage documentation"
+ echo " -docbuild [lang/]<document> <html|pdf|...> -- Build the Sage documentation"
echo " -search_src <string> -- search through all the Sage library code for string"
echo " -search_doc <string> -- search through the Sage documentation for string"
- echo " -grep <string> -- same as -search_src"
-@@ -213,16 +151,6 @@
+@@ -213,16 +152,6 @@
echo
#### 1.......................26..................................................78
#### |.....................--.|...................................................|
@@ -161,7 +160,7 @@ Forwarded: not-needed
echo "Valgrind memory debugging:"
echo " -cachegrind -- run Sage using Valgrind's cachegrind tool. The log"
echo " files are named sage-cachegrind.PID can be found in"
-@@ -263,74 +191,6 @@
+@@ -263,74 +192,6 @@
exit $status
fi
@@ -236,7 +235,7 @@ Forwarded: not-needed
#####################################################################
# Source sage-env ($0 is the name of this "sage" script, so we can just
# append -env to that). We redirect stdout to stderr, which is safer
-@@ -355,47 +215,13 @@
+@@ -355,47 +216,13 @@
# Prepare for running Sage, either interactively or non-interactively.
sage_setup() {
@@ -286,7 +285,7 @@ Forwarded: not-needed
# Start an interactive Sage session, this function never returns.
interactive_sage() {
sage_setup
-@@ -455,11 +281,6 @@
+@@ -455,11 +282,6 @@
exec gap "$@"
fi
@@ -298,7 +297,7 @@ Forwarded: not-needed
if [ "$1" = '-gp' -o "$1" = '--gp' ]; then
shift
exec gp "$@"
-@@ -505,11 +326,6 @@
+@@ -505,11 +327,6 @@
exec kash "$@"
fi
@@ -310,7 +309,7 @@ Forwarded: not-needed
if [ "$1" = '-maxima' -o "$1" = '--maxima' ]; then
shift
exec maxima-sage "$@"
-@@ -525,21 +341,6 @@
+@@ -525,21 +342,6 @@
exec M2 "$@"
fi
@@ -332,7 +331,7 @@ Forwarded: not-needed
if [ "$1" = '-python' -o "$1" = '--python' ]; then
shift
exec python "$@"
-@@ -560,11 +361,6 @@
+@@ -560,11 +362,6 @@
exec git "$@"
fi
@@ -344,7 +343,7 @@ Forwarded: not-needed
if [ "$1" = '-sh' -o "$1" = '--sh' ]; then
# AUTHORS:
# - Carl Witty and William Stein: initial version
-@@ -684,20 +480,6 @@
+@@ -684,20 +481,6 @@
fi
#####################################################################
@@ -365,7 +364,7 @@ Forwarded: not-needed
# File conversion
#####################################################################
-@@ -715,11 +497,6 @@
+@@ -715,11 +498,6 @@
# Run Sage's versions of the standard Algebra/Geometry etc. software
#####################################################################
@@ -377,7 +376,7 @@ Forwarded: not-needed
if [[ "$1" =~ ^--notebook=.* || "$1" =~ ^-n=.* || "$1" =~ ^-notebook=.* ]] ; then
sage-cleaner &>/dev/null &
exec sage-notebook "$@"
-@@ -730,13 +507,6 @@
+@@ -730,13 +508,6 @@
exec sage-notebook "$@"
fi
@@ -391,7 +390,7 @@ Forwarded: not-needed
if [ "$1" = "-inotebook" -o "$1" = '--inotebook' ]; then
shift
sage-cleaner &>/dev/null &
-@@ -755,38 +525,19 @@
+@@ -755,38 +526,19 @@
exit 0
fi
@@ -432,7 +431,7 @@ Forwarded: not-needed
shift
exec sage-runtests -p "$@"
else
-@@ -795,16 +546,6 @@
+@@ -795,16 +547,6 @@
fi
fi
@@ -449,7 +448,7 @@ Forwarded: not-needed
if [ "$1" = '-testall' -o "$1" = "--testall" ]; then
shift
SAGE_BANNER=no sage_setup
-@@ -819,119 +560,6 @@
+@@ -819,114 +561,6 @@
exec sage-eval "$@"
fi
@@ -561,15 +560,10 @@ Forwarded: not-needed
- exec sage-rsyncdist $2
-fi
-
--if [ "$1" = "-docbuild" -o "$1" = "--docbuild" ]; then
-- shift
-- exec python -m "sage_setup.docbuild" "$@"
--fi
--
- if [ "$1" = '-gdb' -o "$1" = "--gdb" ]; then
+ if [ "$1" = "-docbuild" -o "$1" = "--docbuild" ]; then
shift
- sage_setup
-@@ -996,10 +624,6 @@
+ exec python -m "sage_setup.docbuild" "$@"
+@@ -996,10 +630,6 @@
fi
if [ $# -ge 1 ]; then
diff --git a/debian/patches/d1-scripts-dir.patch b/debian/patches/d1-scripts-dir.patch
index 91d98dd..ce79be6 100644
--- a/debian/patches/d1-scripts-dir.patch
+++ b/debian/patches/d1-scripts-dir.patch
@@ -5,7 +5,7 @@ Author: Tobias Hansen <thansen at debian.org>
--- a/sage/src/bin/sage
+++ b/sage/src/bin/sage
-@@ -196,7 +196,12 @@
+@@ -197,7 +197,12 @@
# append -env to that). We redirect stdout to stderr, which is safer
# for scripts.
#####################################################################
@@ -19,7 +19,7 @@ Author: Tobias Hansen <thansen at debian.org>
if [ $? -ne 0 ]; then
echo >&2 "Error setting environment variables by sourcing '$0-env';"
echo >&2 "possibly contact sage-devel (see http://groups.google.com/group/sage-devel)."
-@@ -251,13 +256,13 @@
+@@ -252,13 +257,13 @@
#####################################################################
if [ "$1" = '-dumpversion' -o "$1" = '--dumpversion' ]; then
@@ -35,7 +35,7 @@ Author: Tobias Hansen <thansen at debian.org>
echo "SageMath version ${SAGE_VERSION}, Release Date: ${SAGE_RELEASE_DATE}"
exit 0
fi
-@@ -564,12 +569,12 @@
+@@ -570,12 +575,12 @@
shift
sage_setup
if [ "$SAGE_DEBUG" = "no" ]; then
diff --git a/debian/patches/dt-version-singular-4-extra-fixes.patch b/debian/patches/dt-version-singular-4-extra-fixes.patch
index 63ec33b..e1f135e 100644
--- a/debian/patches/dt-version-singular-4-extra-fixes.patch
+++ b/debian/patches/dt-version-singular-4-extra-fixes.patch
@@ -8,7 +8,7 @@ Forwarded: TODO, to Sage
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/sage/src/bin/sage
+++ b/sage/src/bin/sage
-@@ -298,7 +298,7 @@
+@@ -299,7 +299,7 @@
if [ "$1" = '-singular' -o "$1" = '--singular' ]; then
shift
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/sagemath.git
More information about the debian-science-commits
mailing list